package maratonacps2020;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

/**
 * @author Prof. Henrique Louro
 */
public class Media {

    public static void main(String[] args) {

        String linha;

        BufferedReader entrada;

        try {

            entrada = new BufferedReader(new InputStreamReader(System.in));

            while ((linha = entrada.readLine()) != null) {

                if (linha.equals("0")) {
                    break;
                }

                String temp[] = linha.split(" ");

                int d1 = Integer.parseInt(temp[0]);
                int d2 = Integer.parseInt(temp[1]);
                int d3 = Integer.parseInt(temp[2]);
                int a11 = Integer.parseInt(temp[3]);
                int a12 = Integer.parseInt(temp[4]);
                int a21 = Integer.parseInt(temp[5]);
                int a22 = Integer.parseInt(temp[6]);
                int a23 = Integer.parseInt(temp[7]);

                int media = d1 + d2 + d3 + (int)((a11+a12)/2) + (int)((a21+a22+a23)/3);

                if(media < 60){
                    System.out.println("Aluno reprovado com nota: "+media);
                }else{
                    System.out.println("Aluno aprovado com nota: "+media);
                }
            }

        } catch (IOException | NumberFormatException e) {
            System.out.println("Ocorreu um erro durante a leitura!\n" + e);
        }
    }
}
